TransferControllerGetTransferFileInfo Method

POST /Transfer/FileInfo/ Gets an object describing the contents of a transfer file.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("FileInfo")]
public HttpResponseMessage GetTransferFileInfo(
	[FromBodyAttribute] GetTransferFileInfoOptions options,
	Nullable<Guid> sessionId = null
)

Parameters

options
Type: Dundas.BI.WebApi.ModelsGetTransferFileInfoOptions
The options class used to determine which transfer file to get and what is sent back.
sessionId (Optional)
Type: SystemNullableGuid
The current session ID.

Return Value

Type: HttpResponseMessage
HTTP Status code with a TransferFileInfoData object or an error message.
See Also